Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/tags/putapi-v-1-tags-id

# Update Tag Option

PUT `https://{tenant}.atomicwork.com/api/v1/tags/{id}`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Path Parameters

#### id (path, integer, required)

The tag ID

## Body

#### id (body, integer, required)

#### name (body, string, required)

#### context\_type (body, enum (string))

#### color\_code (body, string)

#### context\_id (body, integer)

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X PUT 'https://{tenant}.atomicwork.com/api/v1/tags/{id}' \
  -H 'X-Api-Key: <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{"id": 0, "name": "string", "context_type": "COMMON", "color_code": "string", "context_id": 0}'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/tags/{id}', {
  method: 'PUT',
  headers: {
    'X-Api-Key': '<api-key>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"id": 0, "name": "string", "context_type": "COMMON", "color_code": "string", "context_id": 0}),
});
const data = await res.json();
```

```python Python
import requests

res = requests.put(
    'https://{tenant}.atomicwork.com/api/v1/tags/{id}',
    headers={'X-Api-Key': '<api-key>'},
    json={"id": 0, "name": "string", "context_type": "COMMON", "color_code": "string", "context_id": 0}
)
data = res.json()
```
